Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- previous |
- PyMVPA Home |
- Sitemap »
- PyMVPA User Manual »
- Miscellaneous »
- mvpa2.misc.stats »

# mvpa2.misc.stats.DSMatrix

class `mvpa2.misc.stats.``DSMatrix`(data_vectors, metric='spearman')

  DSMatrix allows for the creation of dissilimarity matrices using arbitrary distance metrics.

  Methods

  `get_full_matrix`() |
  `get_metric`() |
  `get_triangle`() |
  `get_vector_form`() |

  Initialize DSMatrix

  Parameters:

  data_vectors : ndarray

  > m x n collection of vectors, where m is the number of exemplars and n is the number of features per exemplar

  metric : string

  > Distance metric to use (e.g., ‘euclidean’, ‘spearman’, ‘pearson’, ‘confusion’)

  Methods

  `get_full_matrix`() |
  `get_metric`() |
  `get_triangle`() |
  `get_vector_form`() |

  `get_full_matrix`()
  `get_metric`()
  `get_triangle`()
  `get_vector_form`()

### Navigation

- index
- modules |
- modules |
- previous |
- PyMVPA Home |
- Sitemap »
- PyMVPA User Manual »
- Miscellaneous »
- mvpa2.misc.stats »